#ifndef CONNECTIONDIALOG_H
#define CONNECTIONDIALOG_H

#include "qextserialenumerator.h"
#include "manageserialport.h"
#include "common.h"

class ConnectionDialog : public QWidget
{
    Q_OBJECT
public:
    ConnectionDialog(ManageSerialPort *serialPort,QWidget *parent = 0);
    ~ConnectionDialog();

private:
    void fillWindow();
      uint8_t read_chan();
    ManageSerialPort *serialCom;
    QSettings *settingFile;
    QList<QextPortInfo> portList;

    //GUI :
    QLabel *wireless_label;
    QLineEdit *wireless_address;
    QVBoxLayout *verticalLayout;
    QLabel *message;
    QHBoxLayout *portLayout;
    QComboBox *comPortComboBox;
    QPushButton *refreshListButton;
    //QHBoxLayout *typeLayout;
    QComboBox *ComTypeComboBox;
         QLabel *channelLabel;
        QComboBox *ChannelComboBox ;
    //QHBoxLayout *wirelessLayout;
    //QHBoxLayout *buttonLayout;
    QPushButton *openConnectionButton;

private slots:

 //   void closeEvent(QCloseEvent *event);
    void refreshComList();
    void selectionOnComList(int _selection);
        void setchan();


signals:
    void configurationClosed();
  //  void timeout_cfg();

public slots:
        void tryToOpenConnection();
  /*  void mousePressEvent(QMouseEvent *)
    {
        emit timeout_cfg();
    }*/
};

#endif // CONNECTIONDIALOG_H
